## org.mortbay.jetty.servlet
Class SessionContext

    java.lang.Object
      |
      +--org.mortbay.jetty.servlet.SessionContext

All Implemented Interfaces:
  HttpSessionContext

public class SessionContext
extends java.lang.Object
implements HttpSessionContext

Null returning implementation of HttpSessionContext

Version:
  $Id: SessionContext.java,v 1.2 2001/11/08 03:49:04 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)

Field Summary
`static HttpSessionContext` `NULL_IMPL`

Method Summary
`java.util.Enumeration` `getIds()` Deprecated. From HttpSessionContext
`HttpSession` `getSession(java.lang.String id)` Deprecated. From HttpSessionContext

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_IMPL

    public static final HttpSessionContext NULL_IMPL

Method Detail

### getIds

    public java.util.Enumeration getIds()

  Deprecated. From HttpSessionContext

  Specified by:
    `getIds` in interface `HttpSessionContext`

### getSession

    public HttpSession getSession(java.lang.String id)

  Deprecated. From HttpSessionContext

  Specified by:
    `getSession` in interface `HttpSessionContext`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.